/* Drawing a rectangle with a GeneralPath */

import java.awt.*;
import java.awt.geom.*;

public class RectPath extends java.applet.Applet 
{
  public void paint(Graphics g) 
  {
    Graphics2D g2d = ( Graphics2D ) g;
    setBackground(Color.white);

    GeneralPath rect = new GeneralPath ( GeneralPath.WIND_EVEN_ODD );
    rect.moveTo( 0.0f, 0.0f );    // ul corner
    rect.lineTo( 60.0f, 0.0f );    // ur corner
    rect.lineTo( 60.0f, 60.0f );    // lr corner
    rect.lineTo( 0.0f, 60.0f );    // ll corner
    rect.closePath();               // close the rectangle

    g2d.translate ( 20, 20 );
    g2d.setColor(Color.green);
    g2d.fill (rect);

    g2d.translate ( 120, 20 );
    /*    g2d.setPaint (
      new GradientPaint( 5, 10, Color.magenta, 45, 50, Color.white, true));
    */
    g2d.setPaint (Color.magenta );
    g2d.fill (rect);
  }
}
